--- title: "deleteLoadBalancerInstances" slug: "networking-vloadbalancer-loadbalancer-deleteloadbalancerinstances" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-deleteloadbalancerinstances" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteLoadBalancerInstances Available in VPC Delete load balancer instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/deleteLoadBalancerInstances | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer instance you want to delete - First Region of the getRegionList query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `loadBalancerInstanceNoList.N` | List[String] | Required | List of load balancer instance numbers - `loadBalancerInstanceNo` can be obtained through [getLoadBalancerInstanceList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerinstancelist). - Example: loadBalancerInstanceNoList.1=1234&loadBalancerInstanceNoList.2=2345 | | `returnPublicIpTogether` | Boolean | Optional | Whether to terminate the public IP instance assigned - `true` (default) \| `false` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/deleteLoadBalancerInstances?regionCode=KR&loadBalancerInstanceNoList.1=********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [LoadBalancerInstanceList](/docs/en/common-vapidatatype-loadbalancerinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 7976408b-ba82-4e50-997e-44a0749b32f2 0 success 1 ******** USED LB USED state TERMT LB TERMINATE OP Terminating 2024-06-03T18:52:28+0900 YOUR_LOAD_BALANCER ***.com **.*.*.* APPLICATION Application Load Balancer PRIVATE Private SMALL Small 60 ***** KR ****** KR-1 ****** ****** ```